%define oname plasma-pa

Summary:	Plasma 5 PulseAudio configuration module
Name:		plasma5-pulseaudio
Version:	5.7.2
Release:	2
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Patch0:		plasma-pa-5.7.2-soname.patch
Patch1:		plasma-pa-5.7.2-l10n-ru.patch
BuildRequires:	extra-cmake-modules
# Needed to install kconf_update files to a proper place
BuildRequires:	kdelibs4-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	plasma5-applet-plasma-volume
Requires:	plasmavolume-qml
Conflicts:	plasma5-kmix
# Replace plasma5-kmix with plasma5-pulseaudio
Obsoletes:	plasma5-kmix < 3:15.08.1

%description
Plasma 5 PulseAudio configuration module.

%files -f %{name}.lang
# KDE4 files
%{_kde_appsdir}/kconf_update/disable_kmix.upd
%{_kde_appsdir}/kconf_update/plasmaVolumeDisableKMixAutostart.pl
%dir %{_kde5_datadir}/kpackage/kcms/kcm_pulseaudio/
%{_kde5_datadir}/kpackage/kcms/kcm_pulseaudio/*
%{_kde5_datadir}/kconf_update/disable_kmix.upd
%{_kde5_datadir}/kconf_update/plasmaVolumeDisableKMixAutostart.pl
%{_kde5_services}/kcm_pulseaudio.desktop
%{_qt5_plugindir}/kcms/kcm_pulseaudio.so

#----------------------------------------------------------------------------

%package -n plasma5-applet-plasma-volume
Summary:	Plasma 5 volume plasmoid
Group:		Graphical desktop/KDE
Requires:	plasmavolume-qml

%description -n plasma5-applet-plasma-volume
Plasma 5 volume plasmoid.

%files -n plasma5-applet-plasma-volume -f plasma_applet_org.kde.plasma.volume.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.volume/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.volume/*
%{_kde5_services}/plasma-applet-org.kde.plasma.volume.desktop

#----------------------------------------------------------------------------

%define qmlplasmavolume %mklibname plasmavolume-qml

%package -n %{qmlplasmavolume}
Summary:	QML plugin for Plasma 5 volume shared library
Group:		System/Libraries
Requires:	kf5plasma-qml
Provides:	plasmavolume-qml = %{EVRD}

%description -n %{qmlplasmavolume}
QML plugin for Plasma 5 volume shared library.

%files -n %{qmlplasmavolume}
%dir %{_kde5_qmldir}/org/kde/plasma/private/volume/
%{_kde5_qmldir}/org/kde/plasma/private/volume/*

#----------------------------------------------------------------------------

%define qpap_major 0
%define libqpap %mklibname qpulseaudioprivate %{qpap_major}

%package -n %{libqpap}
Summary:	Plasma 5 volume private shared library
Group:		System/Libraries

%description -n %{libqpap}
Plasma 5 volume private shared library.

%files -n %{libqpap}
%{_kde5_libdir}/libQPulseAudioPrivate.so.%{qpap_major}*

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_kde5_libdir}/libQPulseAudioPrivate.so

%find_lang kcm_pulseaudio plasma-pa %{name}.lang --with-html --with-kde
%find_lang plasma_applet_org.kde.plasma.volume


%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-2
- (bfc0f2b) Update Russian translation


